﻿@model ICollection<AllAccountsViewModel>

@{
    var count = 1;
}

<h2>Iformation for: @Model.First().User.FirstName @Model.First().User.LastName</h2>

<table class="table table-striped">
    <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">Name</th>
            <th scope="col">Account</th>
            <th scope="col">Balance</th>
            <th scope="col">Date</th>
            <th></th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var account in @Model)
        {
            <tr>
                <th scope="row">@(count++)</th>
                <td>@account.NickName</td>
                <td>@account.AccountNumber</td>
                <td>@account.Balance</td>
                <td>@account.Date</td>
                <td>
                    <a class="btn btn-outline-warning" asp-area="Admin" asp-controller="Account" asp-action="Edit" asp-route-id="@account.Id" asp-route-userId="@account.User.Id" model="Get">Edit</a>
                </td>
                <td>
                    
                        <a asp-controller="Account" asp-action="Delete" asp-route-id="@account.Id">
                            <button type="submit" class="btn btn-outline-danger">Delete</button>
                        </a>
                    
                </td>
            </tr>
        }
    </tbody>
</table>
